July 16, 2019, 07:56:48 AM

News : LinuxSolved.com Linux Help Community Forum..


Author Topic: Java Problem  (Read 3142 times)

Offline rajesh.bahl

  • Linux Learner
  • ***
  • Posts: 86
Java Problem
« on: November 08, 2007, 07:34:36 PM »

Dear All,

Need your help in sorting out problem:-

I recently installed CentOS 5.0 and is working fine. The default browser shipped with it is firefox 1.5.x. This is working okay except in one situation--when I need Java, it say "additional plugins are required".

I downloaded latest Java rpm from Sun's site and installed it. As per instructions with the RPM, i made the appropriate links with  in plugin directories. When I go to sun site again to verify that java is installed properly, the required aplet ( as confirmation) does not appaer and the space for it remains blank.

Also I tried to install firefox 2.0.0.9 manually. After untarring the filewhen i run ./firefox, it returns the following error:-
./firefox-bin: error while loading shared libraries: libstdc++.so.5: cannot open shared object file: No such file or directory
I tried to search the  libstdc++.so.5 file on the system but the file found was different : libstdc++.so.6.

Thus either way I am stuck up. Please help  !!



regards
rajesh.bahl

Offline Ricky

  • LST CareTaker
  • Specially Skilled
  • *****
  • Posts: 2381
Re: Java Problem
« Reply #1 on: November 08, 2007, 11:10:27 PM »
DId you try installing as root ?

Offline rajesh.bahl

  • Linux Learner
  • ***
  • Posts: 86
Re: Java Problem
« Reply #2 on: November 09, 2007, 12:44:59 PM »


I tried this operation as root user only.

regards
rajesh.bahl

Offline Ricky

  • LST CareTaker
  • Specially Skilled
  • *****
  • Posts: 2381
Re: Java Problem
« Reply #3 on: November 14, 2007, 09:34:13 PM »
About mozilla

Try Yum to install it. .

Also try updating liberaries.

Do following :
yum install compat-lib*

Offline rajesh.bahl

  • Linux Learner
  • ***
  • Posts: 86
Re: Java Problem
« Reply #4 on: December 12, 2007, 01:41:43 PM »


It worked after updating libraries as yum install compat-lib*.


Thanks a lot, Ricky !!


rajesh.bahl

Offline Ricky

  • LST CareTaker
  • Specially Skilled
  • *****
  • Posts: 2381
Re: Java Problem
« Reply #5 on: December 12, 2007, 05:35:27 PM »
I am glad it worked for you :)